unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

  apOpen = function(file1:PChar ; file2:PChar ): Longint	; stdcall	;
  apClose = procedure(id:Longint );                         stdcall ;
  apSetFunction = function(id:Longint;func_code:Longint;
                             para1:Longint;para2:Longint;para3:PChar ;para4:PChar ): Longint	; stdcall	;
  apGetFunction = function(id:Longint;func_code:Longint;
                             para1:Longint;para2:Longint;para3:PChar ;para4:PChar ): Longint	; stdcall	;

  apAddImage = function( id:Longint; position:Longint;
                           filename:PChar;
                           shift_lr:Longint; shift_tb:Longint; rotate:Longint; layer:Longint;
                           zoomW:Longint;zoomH:Longint;
                           action:Longint; link:PChar ;pageno:Longint ): Longint	; stdcall	;
  apAddText  = function( id:Longint; position:Longint;
                           sstring:PChar;
											     color:Longint; alignment:Longint;
                           shift_lr:Longint; shift_tb:Longint; rotate:Longint; layer:Longint;
                           hollow:Longint;
                           fontcode:Longint; fontname:PChar ; fontsize:Longint;
                           action:Longint; link:PChar ;pageno:Longint ): Longint	; stdcall	;
  apAddLine  = function( id:Longint; position:Longint; width:Longint; color:Longint;
                           shift_lr:Longint; shift_tb:Longint; rotate:Longint;layer:Longint;
                           zoomW:Longint;zoomH:Longint): Longint	; stdcall	;

const
  ap_Set_Range : Longint = 131;
  ap_Get_PdfPageCount : Longint = 206;

var

  Form1: TForm1;
  g_hapW : HMODULE	;

  papOpen: apOpen ;
  papClose: apClose ;
  papSetFunction: apSetFunction ;
  papGetFunction: apGetFunction ;
  papAddImage: apAddImage ;
  papAddText: apAddText ;
  papAddLine: apAddLine ;


implementation

{$R *.dfm}


//****************************************************************************

function FreeapWDll() : Boolean;
begin
	if(g_hapW = 0) then begin
		FreeapWDll:=False;
    Exit;
  end;
	FreeLibrary(g_hapW);
	g_hapW:=0;
  Result:=True;
end;
//****************************************************************************

function  LoadapWDll :Boolean ;
var
  path:PAnsiChar ;
  proc :FARPROC ;
label
  Failer;

begin
  path := 'PdfStamp.dll';
  g_hapW :=LoadLibrary(path);
	if(g_hapW=0) then
		goto Failer;


	proc:=GetProcAddress(g_hapW,'apOpen');
	if(proc=nil)then
		goto Failer;
  papOpen:=proc ;
  proc:=GetProcAddress(g_hapW,'apClose');
	if(proc=nil)then
		goto Failer;
  papClose:=proc ;
  proc:=GetProcAddress(g_hapW,'apSetFunction');
	if(proc=nil)then
		goto Failer;
  papSetFunction:=proc ;
  proc:=GetProcAddress(g_hapW,'apGetFunction');
	if(proc=nil)then
		goto Failer;
  papGetFunction:=proc ;
  proc:=GetProcAddress(g_hapW,'apAddImage');
	if(proc=nil)then
		goto Failer;
  papAddImage:=proc ;
  proc:=GetProcAddress(g_hapW,'apAddText');
	if(proc=nil)then
		goto Failer;
  papAddText:=proc ;
  proc:=GetProcAddress(g_hapW,'apAddLine');
	if(proc=nil)then
		goto Failer;
  papAddLine:=proc ;

  Result:=True;
  Exit;
  Failer:
  FreeapWDll();
  Result:=False;
end;

//****************************************************************************
procedure TForm1.Button1Click(Sender: TObject);
var
  id : Longint	;
  pagecount : Longint	;
  path : PChar ;
begin
  if( LoadapWDll() = True ) then
  begin


    path:= 'example.pdf';
    
    //%text stamp%
    //%page header and page footer%
    //%Stamps are placed in the duplicate file, leaving the original copy unchanged%
    id := papOpen(path,'1.pdf');
    if(id>0) then begin

   		//Get PDF file page count.
  		pagecount:=papGetFunction(id,ap_Get_PdfPageCount,0,0,0,0);

      papAddText(	id, 7,
              '\d\n\t',
              255,0,
              50,-30,0,0,
              0,
              0,nil,10,
              0,nil,0);
      papAddText(	id, 5,
              'Page \P3+1 of \c',
              255,0,
              -50,-30,0,0,
              0,
              0,0,10,
              0,0,0);
      papAddText(	id, 3,
              '2003 adultpdf.com Inc.',
              2666666,0,
              -30,30,	0,0,
              0,
              300,0,10,
              0,0,0);   
      papClose(id);
    end;

    //%.Supports Font Style, Font Size, Text Modes (solid, outline), Grayscale and RGB Color (0-255 RGB color values supported) %
    //%.Top, bottom, vertical center, diagonal-top left and diagonal-bottom left. %
    //%Supports multiple line text stamps within one stamp item %
    id := papOpen(path,'2.pdf');
    if(id>0) then begin
		papAddText(	id, 3, 
						'Sample File\nLambkin',
						0,0,
						0,0,0,0,
						0,
						300,0,0,
						0,0,0);
		papAddText(	id, 6, 
						'Copyright adultpdf.com, Inc.',
						RGB(255,200,100),0,
						0,0,0,0,
						0,
						0,0,0,
						0,0,0);
		papAddText(	id, 9, 
						'www.adultpdf.com\n Demo',
						255,0,
						0,0,-45,0,
						1,
						200,0,48,
						0,0,0);
		papClose(id);
    end;
	//%.Grayscale Color (0-255 RGB color values supported) %
	//%.diagonal-top left and diagonal-bottom left. %
	//%Stamp on Top of or Underneath the original PDF document page contents %
	//Justification (when multi text)- Left, right, or center
    id := papOpen(path,'3.pdf');
    if(id>0) then begin
		papAddText(	id, 5, 
						'Page \p of \c',
						0,0,
						0,0,0,0,
						0,
						0,0,10,
						0,0,0);
		papAddText(	id, 9, 
						'www.adultpdf.com\n Demo',
						RGB(200,200,200),18,
						0,0,-45,1,
						0,
						301,0,48,
						0,0,0);
		papClose(id);
    end;
	//%Supports Font Style, Font Size, Text Modes (solid, outline), Grayscale and RGB Color (0-255 RGB color values supported) %
	//%Stamp on Underneath the original PDF document page contents %
	//%Text and Image can be stamped on any angle. Any positive or negative numbers, including decimal numbers may be used to specify an angle in degrees %
    id := papOpen(path,'4.pdf');
    if(id>0) then begin
		papAddText(	id, 9, 
						'www.adultpdf.com',
						RGB(200,200,200),0,
						0,0,-20,1,
						1,
						202,0,60,
						0,0,0);
		papClose(id);
    end;
	//%Stamps can be placed in the exact vertical center of a page (or the exact vertical center within a individual stamping space) %
    id := papOpen(path,'5.pdf');
    if(id>0) then begin
		papAddText(	id, 9, 
						'www.adultpdf.com',
						RGB(255,255,0),0,
						0,0,0,0,
						0,
						101,0,48,
						0,0,0);
		papAddText(	id, 8, 
						'ww.adultpdf.com',
						RGB(0,255,255),0,
						0,0,90,0,
						0,
						0,0,48,
						0,0,0);
		papAddText(	id, 4, 
						'www.adultpdf.com',
						RGB(0,255,255),0,
						0,0,-90,0,
						0,
						0,0,48,
						0,0,0);
		papClose(id);
    end;
	//tridimensional effect
    id := papOpen(path,'6.pdf');
    if(id>0) then begin
		papAddText(	id, 9, 
						'www.adultpdf.com',
						RGB(64,64,64),0,
						1,1,45,0,
						0,
						0,0,64,
						0,0,0);
		papAddText(	id, 9, 
						'www.adultpdf.com',
						RGB(255,0,0),0,
						0,0,45,0,
						0,
						0,0,64,
						0,0,0);
		papClose(id);
    end;
	//hollow tridimensional effect
    id := papOpen(path,'7.pdf');
    if(id>0) then begin
		papAddText(	id, 9, 
						'www.adultpdf.com',
						RGB(64,64,64),0,
						1,2,45,1,
						1,
						0,0,64,
						0,0,0);
		papAddText(	id, 9, 
						'www.adultpdf.com',
						RGB(255,0,0),0,
						0,0,45,0,
						1,
						0,0,64,
						0,0,0);
		papClose(id);
    end;
	//%Supports image stamp (JPEG/TIFF images) %
    id := papOpen(path,'8.pdf');
    if(id>0) then begin
		papAddImage(	id, 7, 
						'logo.jpg',
						30,-30,0,0,
						0,0,
						0,0,0);
		papAddImage(	id, 3, 
						'logo.jpg',
						-30,30,0,0,
						0,0,
						0,0,0);
		papClose(id);
    end;
	//% image stamp  %
	//%vertical center.%
    id := papOpen(path,'9.pdf');
    if(id>0) then begin
		papAddImage(	id, 4, 
						'logo.jpg',
						-10,0,90,0,
						0,0,
						0,0,0);
		papAddImage(	id, 8, 
						'logo.jpg',
						10,0,-90,0,
						0,0,
						0,0,0);
		papClose(id);
    end;
	//%	Wrap text to a new line if it would otherwise be too long to fit in its margined area%
    id := papOpen(path,'10.pdf');
    if(id>0) then begin
		papAddText(	id, 9, 
						'Wrap text to a new line if it would otherwise be too long to fit in its margined area.',
						2666666,16,
						0,0,0,1,
						0,
						0,0,64,
						0,0,0);
		papClose(id);
    end;
	//%Supports web links%
	//%Enabling you to easily position the stamp in any location on the page %
    id := papOpen(path,'11.pdf');
    if(id>0) then begin
		papAddText(	id, 2, 
						'Supports web links',
						RGB(255,11,0),0,
						-50,200,0,1,
						0,
						0,0,48,
						1,'http://www.adultpdf.com',0);
		papAddText(	id, 4, 
						'Enabling you to easily position the stamp\n in any location on the page',
						RGB(255,11,22),17,
						-50,200,0,0,
						0,
						0,0,10,
						1,'http://www.adultpdf.com',0);
		papClose(id);
    end;
	//%text rotate and position%
    id := papOpen(path,'12.pdf');
    if(id>0) then begin
		papAddText(	id, 1, 
						'adultpdf.com Inc.',
						65296,0,
						0,0,-45,0,
						0,
						0,0,48,
						0,0,0);
		papAddText(	id, 3, 
						'adultpdf.com Inc.',
						65296,0,
						0,0,45,0,
						0,
						0,0,48,
						0,0,0);
		papAddText(	id, 5, 
						'adultpdf.com Inc.',
						65296,0,
						0,0,-45,0,
						0,
						0,0,48,
						0,0,0);
		papAddText(	id, 7, 
						'adultpdf.com Inc.',
						65296,0,
						0,0,45,0,
						0,
						0,0,48,
						0,0,0);

		papClose(id);
    end;
	//%image rotate and position%
    id := papOpen(path,'13.pdf');
    if(id>0) then begin
		papAddImage(	id, 9, 
						'logo.jpg',
						-70,-70,-45,0,
						0,0,
						0,0,0);

		papAddImage(	id, 9, 
						'logo.jpg',
						70,-70,225,0,
						0,0,
						0,0,0);
		papAddImage(	id, 9, 
						'logo.jpg',
						70,70,135,0,
						0,0,
						0,0,0);
		papAddImage(	id, 9, 
						'logo.jpg',
						-70,70,45,0,
						0,0,
						0,0,0);

		papClose(id);
    end;

    id := papOpen(path,'14.pdf');
    if(id>0) then begin
		papAddText(	id, 7, 
						'adultpdf.com Inc.',
						165296,0,
						0,-100,-45,0,
						0,
						0,0,48,
						0,0,0);
		papAddText(	id, 7, 
						'adultpdf.com Inc.',
						1652962,0,
						50,-200,-45,0,
						0,
						0,0,48,
						0,0,0);
		papAddText(	id, 7, 
						'adultpdf.com Inc.',
						16529621,0,
						100,-300,-45,0,
						0,
						0,0,48,
						0,0,0);
		papAddText(	id, 7, 
						'adultpdf.com Inc.',
						165296210,0,
						150,-400,-45,0,
						0,
						0,0,48,
						0,0,0);
		papAddText(	id, 7, 
						'adultpdf.com Inc.',
						165210,0,
						200,-500,-45,0,
						0,
						0,0,48,
						0,0,0);

		papClose(id);
    end;
	//%image zoom%
    id := papOpen(path,'15.pdf');
    if(id>0) then begin
		papAddImage(	id, 2, 
						'logo.jpg',
						80,200,-45,1,
						300,300,
						0,0,0);
		papClose(id);
    end;
	//%Supports line stamp  %
    id := papOpen(path,'16.pdf');
    if(id>0) then begin
		papAddText(	id, 7, 
						'\d\n\t',
						255,0,
						70,-50,0,0,
						0,
						0,0,10,
						0,0,0);
		papAddText(	id, 5, 
						'Page \p of \c ',
						255,0,
						-70,-50,0,0,
						0,
						0,0,10,
						0,0,0);
		papAddText(	id, 3, 
						'2003 adultpdf.com Inc.',
						255,0,
						-60,60,0,0,
						0,
						300,0,10,
						0,0,0);

		papAddLine(	id, 2, 1, 0,
						0,80,0,0,
						80,0);
		papAddLine(	id, 6, 1, 0,
						0,-80,0,0,
						80,0);

		papClose(id);
    end;
	//%Supports links (web links, page link, open file, remote page link).%
    id := papOpen(path,'17.pdf');
    if(id>0) then begin
		papAddText(	id, 2, 
						'Supports web links',
						255,0,
						-50,200,15,0,
						0,
						0,0,32,
						1,'http://www.adultpdf.com',0);
		papAddText(	id, 4, 
						'Supports page links',
						255,0,
						-50,200,0,0,
						0,
						0,0,32,
						2,0,3);
		papAddImage(	id, 9,
						'logo.jpg',
						0,0,15,1,
						0,0,
						3,'openlink.txt',0);
		papClose(id);
    end;
	//%Set which pages to stamp on by selecting a predefined range.%
	//%	Eap even page%
    id := papOpen(path,'18.pdf');
    if(id>0) then begin
		//%	Eap even page%
		papSetFunction(id, ap_Set_Range, -2, -2, 0,0);
 
		papAddText(	id, 2, 
						'Set which pages to stamp on by selecting a predefined range.',
						2666666,17,
						0,200,0,0,
						0,
						0,0,32,
						0,0,0);
		papClose(id);
    end;

  end;
  FreeapWDll();
end;
//****************************************************************************



end.
